is_edge_loop {DiagrammeR} | R Documentation

## Is the edge a loop edge?

### Description

Determines whether an edge definition is a loop edge.

### Usage

    is_edge_loop(graph, edge)

### Arguments

`graph` | a graph object of class `dgr_graph`.
`edge` | a numeric edge ID value.

### Value

a logical value.

### Examples

    # Create a graph that has multiple
    # loop edges
    graph <-
      create_graph() %>%
      add_path(n = 4) %>%
      add_edge(
        from = 1,
        to = 1) %>%
      add_edge(
        from = 3,
        to = 3)

    # Get the graph's internal
    # edge data frame
    graph %>%
      get_edge_df()

    # Determine if edge `4` is
    # a loop edge
    graph %>%
      is_edge_loop(edge = 4)

    # Determine if edge `2` is
    # a loop edge
    graph %>%
      is_edge_loop(edge = 2)

[Package DiagrammeR version 1.0.1 Index]